Name:		qubes-core-admin-client
Version:    4.1.1
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python2-setuptools
BuildRequires:	python2-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz

%description
This package include managemt tools, like qvm-*.

%package -n python2-qubesadmin
Summary:    Python2 module qubesadmin
Requires:   python-daemon
Requires:   python-docutils
Requires:   python2-lxml

%description -n python2-qubesadmin
Python2 module qubesadmin.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
%if 0%{?rhel} >= 7
Requires:   python-daemon
%else
Requires:   python3-daemon
%endif
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python2}
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-gui.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python2-qubesadmin
%{python2_sitelib}/qubesadmin-*egg-info
%{python2_sitelib}/qubesadmin

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Wed Nov 13 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9ba2ad2
- version 4.1.1

* Tue Nov 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6444d31
- Merge remote-tracking branch 'origin/pr/115'

* Mon Nov 11 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d877671
- Added an exception for backup already in progress

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7ae8b86
- tests: make PEP8 and pylint happy

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 056d747
- tests: add default_guivm and guivm in utils properties

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b50953
- utils: make PEP8 happy

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f71b63d
- utils: handle default_guivm and guivm properties

* Sun Nov 10 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b5e695
- prefs: handle 'none' value for guivm

* Sat Nov 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6e76d1c
- Merge remote-tracking branch 'origin/pr/111'

* Fri Nov 08 2019 Rot127 <bla.52@gmx.net> - 008daa9
- Add tests for --tree option of qvm-ls

* Fri Nov 08 2019 Rot127 <bla.52@gmx.net> - e5d4cd1
- Sort domains in network tree list

* Fri Nov 08 2019 Rot127 <bla.52@gmx.net> - a732953
- network tree manpage entry added

* Mon Nov 04 2019 Saswat Padhi <saswat.sourav@gmail.com> - 28321dd
- Preserve backward compatibility

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - 40bea97
- Updated qvm-pool.rst file

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - f9cf088
- Added a new test and minor updates to others

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - 5da0216
- Fixed a bug and removed unused import

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - 704bf50
- Updated tests for qvm-pool

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - 434d8c6
- Improvements to qvm-pool argument parser

* Fri Nov 01 2019 Rot127 <bla.52@gmx.net> - 566aefd
- added feature to list domains as network tree

* Wed Oct 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 81b3152
- Merge remote-tracking branch 'origin/pr/110'

* Wed Oct 23 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d92fdd1
- Added pool.usage_details API method

* Tue Oct 22 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - cb82606
- Fixed error with import

* Tue Oct 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33f04bb
- Merge remote-tracking branch 'origin/pr/108'

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 03bc15d
- app: switch get_local_name method to property

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f774054
- tests: qvm_start_gui: make PEP8 happier

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 63e63f0
- tests: fix with respect to gui properties

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8a27c19
- app: get_local_name set/from self attribute

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 40d9696
- app: fix missing docstring for get_local_name

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 411e288
- qvm-start-gui: simplify log info for start_gui function

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e63510b
- guivm: use getattr instead of try/except and direct property access

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b4a99f
- qvm-start-gui: handle GuiVM

* Sun Oct 20 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a5102d7
- Make PEP8 happier

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a0e6e2f
- travis: switch to bionic

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1d3a214
- version 4.1.0

* Sat Oct 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d736f5
- Make pylint happy

* Thu Sep 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e8c48ff
- tools/qvm-start-gui: avoid starting a VM just to send it monitor layout

* Thu Sep 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 98260ff
- Add run_service(..., autostart=False) argument

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1fcb031
- Add support for run_service(..., filter_esc=True) in a VM

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7dcdd3
- rpm: fix release number

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22bc5d8
- Merge remote-tracking branch 'origin/pr/105'

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 556cec4
- Merge remote-tracking branch 'origin/pr/104'

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1f1564d
- backup/restore: make pylint happy

* Tue Sep 17 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 3e2b432
- Fixed error with VM being incorrectly listed as its own dependency

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 48ad832
- tests: check rejecting/accepting compression filters

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14f7786
- backup/restore: add option to use uncommon compression filter anyway

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 10f15e6
- backup/restore: reject uncommon compression filters and improve header validation

* Fri Sep 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3ddeb20
- dochelpers: make PEP8 happier

* Fri Sep 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6df676c
- dochelpers: handle legacy sphinx library

* Fri Sep 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ab8f487
- Fix Sphinx 2 new API for Fedora 31+

* Fri Sep 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9158412
- Merge remote-tracking branch 'origin/pr/100'

